Kirjoittaja Aihe: Pakettivarastojen ohjelmaversiot  (Luettu 2160 kertaa)

ilkant

  • Käyttäjä
  • Viestejä: 665
  • Kubuntu
    • Profiili
Pakettivarastojen ohjelmaversiot
« : 25.02.17 - klo:08.21 »
Asensin Kubuntu 16.04.1 käyttikseen / distroon ohjelman Gramps oletus-pakettivarastosta. Ohjelmasta asentui nätisti versio 4.2.2 ja vielä suomen kielisenä. Ohjelman uusin versio on 4.2.5. Asensin ohjelman pakettivarastosta sen takia kun tiedän, että siellä on "varmasti" käyttöjärjestelmän / distribuution kanssa toimiva ohjelma. Ja olen kuullut aika paljonkin valitteluja suomenkielisen ohjelman asennuksista kun on jollain skripteillä wiki-ohjeiden ohjaamana yritetty asennella.

Nyt askarruttaa kysymys: Kuka ja miten tiuhaan testailee ohjelmiston xyz sopivuutta erilaisiin distribuutioihin ja tekee muutoksia niihin? Onko tästä tietoa? Voiko tavallinen ohjelmiston käyttäjä (normaaleine tietokonetaitoineen) avittaa millään tavalla uusien versioiden pakettivarastoihin ilmestymistä? Taitaa yhteensopivuus olla aika monimutkainen asia kun pitäisi vielä olla varma, että päivityksetkin toimivat (ohjelma päivityksen jälkeen päivityksen lisäksi) sulavasti.

Ja mitä mieltä olette vaihtoehtoisten pakettivarastojen käytöstä uusimpien versioiden asentamiseksi?

matsukan

  • Käyttäjä
  • Viestejä: 2100
    • Profiili
Vs: Pakettivarastojen ohjelmaversiot
« Vastaus #1 : 25.02.17 - klo:23.22 »

Tähän ei ole kenelläkään oikeata vastausta.

Yleisesti kai mennään ei suositella mutta kuitenkin tiedetään että käyttäjillä on erilaiset tarpeet ja ennenkaikkia käyttäjiä on erilaisia. Vaihtoehtoisten pakettivarastojen tulee yleensä ongelmia mutta jos on valmis hyväksymään tämän ei kait siinä ole ole mitään ongelmaa.



Pohjois-pohjanmaa
-- motto:  backupin tarve huomataan aina liian myöhään

ilkant

  • Käyttäjä
  • Viestejä: 665
  • Kubuntu
    • Profiili
Vs: Pakettivarastojen ohjelmaversiot
« Vastaus #2 : 01.03.17 - klo:00.44 »
Tehdäänkö tuota uusien versioiden testausta tietylle distrolle järjestelmällisesti vai onko se ihan ko. paketteja ja ko. distroa käyttävien harrastuneisuuden varassa?

nm

  • Käyttäjä
  • Viestejä: 14328
    • Profiili
Vs: Pakettivarastojen ohjelmaversiot
« Vastaus #3 : 01.03.17 - klo:11.56 »
Asensin Kubuntu 16.04.1 käyttikseen / distroon ohjelman Gramps oletus-pakettivarastosta. Ohjelmasta asentui nätisti versio 4.2.2 ja vielä suomen kielisenä. Ohjelman uusin versio on 4.2.5. Asensin ohjelman pakettivarastosta sen takia kun tiedän, että siellä on "varmasti" käyttöjärjestelmän / distribuution kanssa toimiva ohjelma. Ja olen kuullut aika paljonkin valitteluja suomenkielisen ohjelman asennuksista kun on jollain skripteillä wiki-ohjeiden ohjaamana yritetty asennella.

Gramps-projektin virallisen deb-paketin asennus Ubuntu 16.04:ään (toimii myös 14.04:ssä ja mahdollisesti 17.04:ssä)

Tee varmuuskopio nykyisestä datasta: https://gramps-project.org/wiki/index.php?title=How_to_make_a_backup

Lataa deb-tiedosto selaimella täältä: https://github.com/gramps-project/gramps/releases/latest
Tai päätteessä esim. wgetillä:
Koodia: [Valitse]
wget https://github.com/gramps-project/gramps/releases/download/v4.2.5/python3-gramps_4.2.5_all.deb
Kaksoisklikkaa deb-pakettia tiedostoselaimessa, niin pääset asentamaan sen riippuvuuksineen graafisen asentimen avulla. Vaihtoehtoisesti komentorivillä:

Koodia: [Valitse]
sudo dpkg -i python3-gramps_4.2.5_all.deb
sudo apt-get -f install

Asenna vielä liitännäisten riippuvuudet, joista ohjelma herjaa käynnistyessään:
Koodia: [Valitse]
sudo apt-get install python3-icu gir1.2-gexiv2-0.10 gir1.2-osmgpsmap-1.0

Nyt askarruttaa kysymys: Kuka ja miten tiuhaan testailee ohjelmiston xyz sopivuutta erilaisiin distribuutioihin ja tekee muutoksia niihin?

Canonical ylläpitää main-repositorion paketteja. Universen ja multiversen paketit tulevat pääosin lähes suoraan Debian-projektista, joissa niitä ylläpitää Debian-yhteisö eli eri tasoiset harrastelijat. Ubuntu-yhteensopivuus testataan kyllä pintapuolisesti, ja paketeilla on ainakin nimellinen Ubuntu-ylläpitäjä, jonka yhteystiedot löytyvät esimerkiksi packages.ubuntu.com-sivuston kautta: http://packages.ubuntu.com/fi/xenial/gramps

Käytännössä vain selaimet päivittyvät uudempiin versioihin jakeluversion elinkaaren aikana. Lisäksi LTS-versioihin on mahdollista asentaa uudempia kernelin ja X.org:n versioita HWE-päivityksinä. Muihin ohjelmiin tehdään vain tietoturvapäivityksiä, ja universe ja multiverse pysyvät pitkälti koskemattomina. Seuraavaan jakeluversioon poimitaan sitten sopivat uudemmat versiot Debianin paketeista, lisätään mahdolliset Ubuntu-paikkaukset ja käännetään binääriksi.


Voiko tavallinen ohjelmiston käyttäjä (normaaleine tietokonetaitoineen) avittaa millään tavalla uusien versioiden pakettivarastoihin ilmestymistä?

Debianin/Ubuntun paketointijärjestelmä on aika monimutkainen ja paketoinnin ylläpito vaatii jonkin verran sovelluskehitysosaamista. Oppaita kuitenkin löytyy, ja asioita voi opiskella.


Ja mitä mieltä olette vaihtoehtoisten pakettivarastojen käytöstä uusimpien versioiden asentamiseksi?

Jos haluaa uuden version tietystä ohjelmasta nykyiseen jakeluversioon, sellainen voi usein löytyä jostain PPA:sta tai ohjelman omista lähteistä, kuten tässä Grampsin tapauksessa. Ohjelmakohtaiset PPA:t ovat yleensä suhteellisen turvallisia, varsinkin jos niitä ylläpitää ohjelman kehittäjä itse. Isot PPA:t taas ovat riskialttiita. Niissä on usein uusia versioita keskeisistä järjestelmäkirjastoista, jolloin PPA:n ulkopuoliset ohjelmat voivat mennä rikki. PPA:n voi kuitenkin poistaa käytöstä, jos se osoittautuu ongelmalliseksi. Onnistuu parhaiten ppa-purge -ohjelmalla.
« Viimeksi muokattu: 01.03.17 - klo:17.43 kirjoittanut nm »

Tomin

  • Palvelimen ylläpitäjä
  • Käyttäjä / moderaattori+
  • Viestejä: 11175
    • Profiili
    • Tomin kotisivut
Vs: Pakettivarastojen ohjelmaversiot
« Vastaus #4 : 01.03.17 - klo:17.38 »
Ubuntu 17.04:n pakettivarastossa Gramps 4.2.5 versio. Ehkä sitä ei ole päivitetty 16.04:ssa uusimpaan versioon... Laita Proposed-päivitykset päälle ja päivitykset tuleen pääpalvelimelta, niin käytössäsi on uusimmat pakettivarastot.

En laittaisi proposedia päälle. Sieltä saattaa tulla kokolailla testaamatonta tavaraa. Lisäksi sieltäkään ei kyllä saa tavallisista ohjelmista sen useammin uudempia versioita, kuin korkeintaan bugikorjausten tasolla. Toki kehitysversiossa tuo on sitten oma juttunsa, mutta jos käyttää muutenkin LTS-versiota (kuten 16.04), niin tuo ei kuulosta tarkoituksenmukaiselta.

Debianissa joitakin ohjelmia voi päivittää backports-varastojen kautta. En tiedä miten aktiivisia Ubuntun backports-varastot ovat.
« Viimeksi muokattu: 01.03.17 - klo:17.41 kirjoittanut Tomin »
Automaattinen allekirjoitus:
Lisäisitkö [RATKAISTU] ketjun ensimmäisen viestin aiheeseen ongelman ratkettua, kiitos.

ilkant

  • Käyttäjä
  • Viestejä: 665
  • Kubuntu
    • Profiili
Vs: Pakettivarastojen ohjelmaversiot
« Vastaus #5 : 02.03.17 - klo:16.24 »
Kiitokset selvityksistä. Minä käytän tätä 4.2.2. versiota ainakin niin kauan kunnes tulee esille joku tärkeä puute (toiminnallisuuden puute) tai jumiutuminen etc. Ohjelmaa käyttävä ja osaava sanoi, että niitä voi vanhalla versiolla tulla. On vielä toinen tietokone, jossa voi leikkiä uudemmilla versioilla kokeilumielessä.